r.drain(1)

NAME
r.drain - Traces a flow through an elevation model on a raster map layer.

SYNOPSIS
r.drain
r.drain help
r.drain [-can] input=string output=string coordinate=x,y[,x,y,...]

  Flags:

-c  Copy input cell values on output

-a  Accumulate input values along the path

-n  Count cell numbers along the path

  Parameters:

input=string
    Name of existing raster map containing elevation surface

output=string
    Output drain raster map

coordinate=x,y[,x,y,...]
    The map E and N grid coordinates of a starting point

DESCRIPTION
r.drain traces a flow through a least-cost path in an elevation model. The elevation surface (a raster map layer input) might be the cumulative cost map generated by the <A HREF="r.cost.html">r.cost program. The output result (also a raster map layer) will show one or more least-cost paths between each user-provided location(s) and the low spot (low category values) in the input model. By default, the output will be an integer cell map with 1 along the least cost path, and null cells elsewhere.

With the -c (copy) flag, the input map cells values are copied verbatim along the path. With the -a (accumulate) flag, the accumulated cells value from the starting point up to the current cell is written on output. With the -c and the -a flags, the output map is created withe the same cell type than the input map (integer, float or double). The -c and -a flags are mutually incompatible. If both are specified, the -a flag will superceed the -c flag, and a warning message will be issued. With the -n (number) flag, the cells are numbered from the starting point to the final point.

The path is calculated by choosing the stepper "slope" beetwen adjacent cells. The slope calculation accurately acounts for the variable scale in lat-lon projections. The coordinate parameter consists of map E and N grid coordinates of a starting point. Each x,y pair is the easting and northing (respectively) of a starting point from which a least-cost corridor will be developed. As many points as desired can be input. (But, see BUGS below.)

EXAMPLES
Consider the following example:
Input: Output:
  ELEVATION SURFACE LEAST COST PATH

The user-provided starting location in the above example is the boxed 19 in the left-hand map. The path in the output shows the least-cost corridor for moving from the starting box to the lowest (smallest) possible point. This is the path a raindrop would take in this landscape.

With the -c (copy) flag, you get the following result:
Input: Output:
  ELEVATION SURFACE LEAST COST PATH

Note that the last 0 will not be put in the null values map.

With the -a (accumulate) flag, you get the following result:
Input: Output:
  ELEVATION SURFACE LEAST COST PATH

With the -n (number) flag, you get the following result:
Input: Output:
  ELEVATION SURFACE LEAST COST PATH

BUGS
r.drain currently finds only the lowest point (the cell having the smallest category value) in the input file that can be reached through directly adjacent cells that are less than or equal in value to the cell reached immediately prior to it; therefore, it will not necessarily reach the lowest point in the input file. It currently finds pits in the data, rather than the lowest point present.

Sometimes, when using an integer cell map and the differences among cell category values in the r.cost cumulative cost surface output are small, this cumulative cost output cannot accurately be used as input to r.drain (r.drain will output bad results). This problem can be circumvented by making the differences between cell category values in the cumulative cost output bigger. It is recommended that, if the output from r.cost is to be used as input to r.drain, the user multiply the input cost surface map to r.cost by the value of the map resolution, before running r.cost. This can be done using r.mapcalc or other programs. The map resolution can be found using g.region.

SEE ALSO
g.region, r.cost, r.mapcalc

AUTHOR
Completely rewritten by Roger S. Miller

Last changed: $Date: 2003/05/06 13:17:53 $

Help Index